Quantcast

Bug#862228: desktop-base: xml errors in /usr/share/gnome-background-properties/debian-joy.xml and debian-joy-inksplat.xml

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Bug#862228: desktop-base: xml errors in /usr/share/gnome-background-properties/debian-joy.xml and debian-joy-inksplat.xml

Mark Hedges-13
Package: desktop-base
Version: 9.0.2
Severity: normal

I tried to run `nautilus-desktop` in LXDE after killing pcmanfm, then tried to change the desktop background:

====================================
hedges@hazelnut:~$ nautilus-desktop
/usr/share/gnome-background-properties/debian-joy-inksplat.xml:14: parser error : expected '>'
</wallpapers>
           ^
/usr/share/gnome-background-properties/debian-joy-inksplat.xml:15: parser error : Premature end of data in tag wallpapers line 3

^
/usr/share/gnome-background-properties/debian-joy.xml:14: parser error : expected '>'
</wallpapers>
           ^
/usr/share/gnome-background-properties/debian-joy.xml:15: parser error : Premature end of data in tag wallpapers line 3

^
/usr/share/gnome-background-properties/debian-joy-inksplat.xml:14: parser error : expected '>'
</wallpapers>
           ^
/usr/share/gnome-background-properties/debian-joy-inksplat.xml:15: parser error : Premature end of data in tag wallpapers line 3

^
/usr/share/gnome-background-properties/debian-joy.xml:14: parser error : expected '>'
</wallpapers>
           ^
/usr/share/gnome-background-properties/debian-joy.xml:15: parser error : Premature end of data in tag wallpapers line 3
====================================

Removing the extraneous "<wallpaper>" opening tag in the files fixed the warning, although it still didn't let me change the background.

Mark


-- System Information:
Debian Release: 9.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64
 (x86_64)

Kernel: Linux 4.9.0-2-rt-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages desktop-base depends on:
ii  dpkg             1.18.23
ii  librsvg2-common  2.40.16-1+b1

desktop-base recommends no packages.

Versions of packages desktop-base suggests:
ii  gnome  1:3.22+2

-- no debconf information

Loading...